Subject: Re: tendonitis

From: [email-masked]
Date: Tue, 11 Jun 1996 02:11:30 -0400

Clyde Winia wrote about the piezo-electric stimulator he saw on TV, and how
he used the piezo spark ignitor from a gas grill (available at any Home Depot
or Builders Square), and ended with:

>I've suggested this to a couple of others who have enjoyed similar relief.

I read that post a few months back when this thread went around then, and I
was suffering badly with tendonitis at the time.  I thought "why not," and
tried it. I'm here to report similar relief myself.

In my case, the sparker should be considered only part of the cure;  I  also
use ice-packs, the elbow brace with the little pressure pad built in,
 stretches (VERY important!- I stretch my forearm muscles at least every five
minutes or so while hammering) and Ibuprofen (or as my acupuncturist calls
it, "I-be-hurtin'  ")  I also brought this up with my acupuncturist, and she
said that according to the theory of how acupunture works, this electric
gizmo should be able to help too.

As Clyde said, maybe it is placebo effect only, but I swear that I felt
immediate improvement in my elbow after a few clicks every morning and night.

My wife thinks it's too wierd, and that I'm nuts.

Lee Catlow